Entur Developer
Receipt Partner

Partner Receipts

Server

Create, send, and query receipts


Send receipt

POST
https://api.entur.io/sales
/v1/receipts/send

Send a receipt. Content will be defined by order ID and version of order. Receipts can only be made for orderVersions where there been a payment or a credit.

Send receipt › query Parameters

organisationId
​integer · int64 · style: form · explode: true
receiptType
​string · enum · style: form · explode: true

Overwrite receipt type if present

Enum values:
SALE
REFUND
CANCEL
CHANGE

Send receipt › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Send receipt › Request Body

Request for sending a sale receipt to a customer using one or more distribution methods
orderId
​string · required

Order id to generate receipt

Example: 1234567890
orderVersion
​integer · int32 · required

Which version of the order that should be used to generate a receipt

Example: 1
​Distribution · required

Request for sending a receipt to a customer using one or more distribution methods. Will only send email if both email and telephone are provided. To send sms, leave email as null.

receiptLanguage
​string

Desired language of the receipt. Currently only supporting 'nob' and 'eng'

Example: nob
Default: nob
serialNumber
​string

The desired serial number for the receipt

copyReceipt
​boolean

Set to true when the receipt is a copy.

Send receipt › Responses

Ok

Response from a accepted receipt request.
reference
​string · required

Reference to receipt

Example: a49f7259-7285-42ce-b7b0-e48a77fbfb39

Get receipt type

GET
https://api.entur.io/sales
/v1/receipts/type

Returns the type of receipt a combination of order ID and version will result in.

Get receipt type › query Parameters

orderId
​string · required · style: form · explode: true

Filters by order ID

orderVersion
​string · required · style: form · explode: true

Filters by order version

Get receipt type › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get receipt type › Responses

Ok

Response from a successful type query.
receiptType
​ReceiptType · enum

Type of receipt

Enum values:
SALE
REFUND
CANCEL
CHANGE
DAY_SUMMARY
Example: SALE

Get pickup code message

GET
https://api.entur.io/sales
/v1/receipts/pickup-code-message/{orderId}

Get the text used for pickup code message for an order in given language to send as message to the customer.

Get pickup code message › path Parameters

orderId
​string · required · style: simple

Order id to generate pickup code message for

Get pickup code message › query Parameters

orderVersion
​integer · int32 · style: form · explode: true

Which version of the order that should be used to generate a summary

language
​string · style: form · explode: true

Desired language of the message. Currently supporting 'nob', 'nno' and 'eng'

Default: nob

Get pickup code message › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get pickup code message › Responses

Ok

string

Did you find what you were looking for?